.\"	$NetBSD: altqstat.1,v 1.5 2001/08/22 08:52:36 itojun Exp $
.\"	$KAME: altqstat.1,v 1.6 2001/08/22 08:50:49 itojun Exp $
.\"
.\" Copyright (C) 2000
.\" Sony Computer Science Laboratories Inc.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY SONY CSL AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL SONY CSL OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd December 24, 1999
.Dt ALTQSTAT 1
.Os
.Sh NAME
.Nm altqstat
.Nd show altq status
.Sh SYNOPSIS
.Nm altqstat
.Op Fl enrs
.Op Fl c Ar count
.Op Fl w Ar wait
.Op Fl i Ar interface
.Op Fl I Ar input_interface
.Sh DESCRIPTION
The
.Nm altqstat
command displays the status of a queueing discipline.  The contents
displayed by
.Nm
is specific to each queueing discipline.
.Pp
The options are as follows:
.Bl -tag -width Fl
.It Fl e
Echo communication with
.Xr altqd 8
to standard output.  This option is for debugging.
.It Fl n
Disable communication with
.Xr altqd 8 .
The interface should be explicitly specified.
.It Fl r
Enter the raw console mode to talk to
.Xr altqd 8 .
This option is for debugging queue information exchange between
.Nm
and
.Xr altqd 8 .
.It Fl s
List all interfaces, classes and filters currently installed.
.It Fl c Ar count
.Nm
exits after displaying
.Ar count
times.  If no repeat
.Ar count
is specified, the default is infinity.
.It Fl w Ar wait
Pause
.Ar wait
seconds between each display.  If no repeat
.Ar wait
interval is specified, the default is 5 seconds.
.It Fl i Ar interface
Show information about the specified interface.  If no
.Ar interface
is specified, the default interface is the first interface returned
from
.Xr altqd 8 .
.It Fl I Ar input_interface
Show information about the specified input interface.  This option is
used to specify
.Em traffic conditioner
at an input interface.
.El
.Sh FILES
.Bl -tag -width /var/run/altqd.pid -compact
.It Pa /var/run/altq_quip
Unix domain socket for communicating with
.Xr altqd 8
.El
.Sh SEE ALSO
.Xr altq.conf 5 ,
.Xr altqd 8 ,
.Xr altq 9
